Bug 115642 - up2date fails on fresh standard install halfway
up2date fails on fresh standard install halfway
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 22:18 EST by Michael Favia
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 13:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Favia 2004-02-13 22:18:31 EST
I have had trouble with up2date numerous time in the past and as a
result i primarily use apt. However with this latest test1 release i
decided to give it a try again. My install is a standard iso install
of the desktop flavor with default package selection. After a near
flawless startup into gnome i attempted to update the system using the
up2date gui and the trouble ensued.

First the application is unable to perform a total update of the
system just like the prior versions i abondoned. Worse yet the gui's
inability to acknowledge the errors leaves the enduser hanging
indefinately. After firing it up CLI with --nox here are the
tracebacks these are just a few of the dozen attempts to singly update
the system (below). Thank you for your hard work and good luck with
the app.

How reproducible:
Always

Steps to Reproduce:
1. Install FC2t1
2. Click on up2date or run up2date --nox update
3. Gasp in horror


michaelfavia@localhost michaelfavia]$ up2date --nox --update
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror:
http://download.fedora.redhat.com/pub/fedora/linux/core/developmen t/i386/
 
Fetching Obsoletes list for channel: fedora-core-rawhide...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
fam                                     2.6.10         1             
     i386
fedora-logos                            1.1.21         1             
     noarch
fetchmail                               6.2.0          9             
     i386
foomatic                                3.0.0          23            
     i386
gdm                                     2.4.4.5        9             
     i386
gedit                                   2.5.3          3             
     i386
gettext                                 0.14.1         1             
     i386
ghostscript                             7.07           21            
     i386
gimp                                    2.0            0.pre3.2      
     i386
gimp-print                              4.2.6          5             
     i386
gimp-print-plugin                       4.2.6          5             
     i386
gimp-print-utils                        4.2.6          5             
     i386
glibc                                   2.3.3          8             
     i686
glibc-common                            2.3.3          8             
     i386
gnome-panel                             2.5.3.1        3             
     i386
gnome-vfs2                              2.5.7          1             
     i386
gnome-vfs2-smb                          2.5.7          1             
     i386
groff                                   1.18.1         30            
     i386
grub                                    0.94           1             
     i386
gstreamer                               0.7.3          4             
     i386
gstreamer-tools                         0.7.3          4             
     i386
gtkam                                   0.1.10         1             
     i386
hicolor-icon-theme                      0.3            1             
     noarch
hpijs                                   1.5            6             
     i386
kdelibs                                 3.2.0          0.4           
     i386
krb5-libs                               1.3.1          10            
     i386
kudzu                                   1.1.44         1             
     i386
libgnomecups                            0.1.6          4             
     i386
libusb                                  0.1.8          1             
     i386
libxml2                                 2.6.6          1             
     i386
libxml2-python                          2.6.6          1             
     i386
lm_sensors                              2.8.3          3             
     i386
man                                     1.5m2          2             
     i386
man-pages                               1.66           1             
     noarch
mkinitrd                                3.5.19         1             
     i386
mkisofs                                 2.01           0.a25.3       
     i386
mtr                                     0.54           2             
     i386
mtr-gtk                                 0.54           2             
     i386
mutt                                    1.4.1          5             
     i386
nautilus                                2.5.7          1             
     i386
nautilus-cd-burner                      0.6.5          1             
     i386
ncurses                                 5.4            1             
     i386
netpbm                                  10.19          4             
     i386
netpbm-progs                            10.19          4             
     i386
nfs-utils                               1.0.6          5             
     i386
nscd                                    2.3.3          8             
     i386
nss_ldap                                207            6             
     i386
openjade                                1.3.2          10            
     i386
openldap                                2.1.25         4             
     i386
openoffice.org                          1.1.0          27            
     i386
openoffice.org-i18n                     1.1.0          27            
     i386
openoffice.org-libs                     1.1.0          27            
     i386
pam                                     0.77           33            
     i386
pam_krb5                                2.0.5          1             
     i386
passwd                                  0.68           8             
     i386
pcmcia-cs                               3.2.7          1.4           
     i386
popt                                    1.9            0.10          
     i386
portmap                                 4.0            58            
     i386
procps                                  3.1.15         4             
     i386
pygtk2                                  2.0.0          3             
     i386
pygtk2-libglade                         2.0.0          3             
     i386
pyxf86config                            0.3.14         1             
     i386
qt                                      3.3.0          0.2           
     i386
rhgb                                    0.11.2         3             
     i386
rhnlib                                  1.5            1             
     noarch
rpm                                     4.3            0.10          
     i386
rpm-python                              4.3            0.10          
     i386
rsh                                     0.17           20            
     i386
samba-common                            3.0.2          5             
     i386
sane-backends                           1.0.13         4             
     i386
sound-juicer                            0.5.10.1       1             
     i386
system-config-date                      1.7.1          2             
     noarch
system-config-display                   1.0.5          1             
     noarch
system-config-printer                   0.6.93         1             
     i386
system-config-printer-gui               0.6.93         1             
     i386
system-config-securitylevel             1.3.2          1             
     i386
system-config-securitylevel-tui         1.3.2          1             
     i386
system-config-services                  0.8.6          3             
     noarch
system-config-users                     1.2.9          1             
     noarch
talk                                    0.17           22            
     i386
tcl                                     8.4.5          4             
     i386
tcsh                                    6.12           7             
     i386
telnet                                  0.17           27            
     i386
ttmkfdir                                3.0.9          8             
     i386
vim-common                              6.2.253        1             
     i386
vim-enhanced                            6.2.253        1             
     i386
vim-minimal                             6.2.253        1             
     i386
vixie-cron                              3.0.1          86            
     i386
xinetd                                  2.3.13         1             
     i386
xsane                                   0.92           4             
     i386
xsane-gimp                              0.92           4             
     i386
 
 
Testing package set / solving RPM inter-dependencies...
 
[michaelfavia@localhost michaelfavia]$ up2date --nox --update rhnlib
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror:
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/development/i386/
 
Fetching Obsoletes list for channel: fedora-core-rawhide...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
rhnlib                                  1.5            1             
     noarch
 
 
Testing package set / solving RPM inter-dependencies...
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
########################################
rhnlib-1.5-1.noarch.rpm:    ########################## Done.
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
Preparing              ########################################### [100%]
 
Installing...
   1:rhnlib                
########################################### [100%]
[michaelfavia@localhost michaelfavia]$ up2date --nox --update
xsane-gimp xsane xinetd vixie-cron tcl talk
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror:
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/
 
Fetching Obsoletes list for channel: fedora-core-rawhide...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
talk                                    0.17           22            
     i386
tcl                                     8.4.5          4             
     i386
vixie-cron                              3.0.1          86            
     i386
xinetd                                  2.3.13         1             
     i386
xsane                                   0.92           4             
     i386
xsane-gimp                              0.92           4             
     i386
 
 
Testing package set / solving RPM inter-dependencies...
There was some sort of I/O error: [Errno socket error] (4,
'Interrupted system call')
 
[michaelfavia@localhost michaelfavia]$ up2date --nox --update
xsane-gimp xsane
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror:
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/
 
Fetching Obsoletes list for channel: fedora-core-rawhide...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
xsane                                   0.92           4             
     i386
xsane-gimp                              0.92           4             
     i386
 
 
Testing package set / solving RPM inter-dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1267, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 797, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1141, in batchRun
    batch.run()
  File "up2dateBatch.py", line 74, in run
  File "up2dateBatch.py", line 159, in __dryRun
  File "up2date.py", line 387, in dryRun
  File "depSolver.py", line 716, in solvedep
  File "depSolver.py", line 683, in process_deps
  File "depSolver.py", line 475, in __dependencies
  File "depSolver.py", line 93, in solveDep
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line
40, in solveDep
    self.getSolutions(unknowns)
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line
235, in getSolutions
    hdr = self.getHeader(pkg)
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line
217, in getHeader
    progressCallback = progressCallback)
  File "rpcServer.py", line 112, in doCall
  File "repoDirector.py", line 31, in getHeader
  File "rpmSource.py", line 210, in getHeader
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
87, in getHeader
    (fn, h) = urllib.urlretrieve(url)
  File "/usr/lib/python2.3/urllib.py", line 83, in urlretrieve
    return _urlopener.retrieve(url, filename, reporthook, data)
  File "/usr/lib/python2.3/urllib.py", line 213, in retrieve
    fp = self.open(url, data)
  File "/usr/lib/python2.3/urllib.py", line 181, in open
    return getattr(self, name)(url)
  File "/usr/lib/python2.3/urllib.py", line 306, in open_http
    return self.http_error(url, fp, errcode, errmsg, headers)
  File "/usr/lib/python2.3/urllib.py", line 323, in http_error
    return self.http_error_default(url, fp, errcode, errmsg, headers)
  File "/usr/lib/python2.3/urllib.py", line 551, in http_error_default
    return addinfourl(fp, headers, "http:" + url)
  File "/usr/lib/python2.3/urllib.py", line 837, in __init__
    addbase.__init__(self, fp)
  File "/usr/lib/python2.3/urllib.py", line 787, in __init__
    self.read = self.fp.read
AttributeError: 'NoneType' object has no attribute 'read'
^A^A
 
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1267, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 797, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1141, in batchRun
    batch.run()
  File "up2dateBatch.py", line 74, in run
  File "up2dateBatch.py", line 159, in __dryRun
  File "up2date.py", line 387, in dryRun
  File "depSolver.py", line 716, in solvedep
  File "depSolver.py", line 683, in process_deps
  File "depSolver.py", line 475, in __dependencies
  File "depSolver.py", line 93, in solveDep
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line
40, in solveDep
    self.getSolutions(unknowns)
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line
235, in getSolutions
    hdr = self.getHeader(pkg)
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line
217, in getHeader
    progressCallback = progressCallback)
  File "rpcServer.py", line 112, in doCall
  File "repoDirector.py", line 31, in getHeader
  File "rpmSource.py", line 210, in getHeader
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
87, in getHeader
    (fn, h) = urllib.urlretrieve(url)
  File "/usr/lib/python2.3/urllib.py", line 83, in urlretrieve
    return _urlopener.retrieve(url, filename, reporthook, data)
  File "/usr/lib/python2.3/urllib.py", line 213, in retrieve
    fp = self.open(url, data)
  File "/usr/lib/python2.3/urllib.py", line 181, in open
    return getattr(self, name)(url)
  File "/usr/lib/python2.3/urllib.py", line 306, in open_http
    return self.http_error(url, fp, errcode, errmsg, headers)
  File "/usr/lib/python2.3/urllib.py", line 323, in http_error
    return self.http_error_default(url, fp, errcode, errmsg, headers)
  File "/usr/lib/python2.3/urllib.py", line 551, in http_error_default
    return addinfourl(fp, headers, "http:" + url)
  File "/usr/lib/python2.3/urllib.py", line 837, in __init__
    addbase.__init__(self, fp)
  File "/usr/lib/python2.3/urllib.py", line 787, in __init__
    self.read = self.fp.read
AttributeError: 'NoneType' object has no attribute 'read'
Comment 1 Barry K. Nathan 2004-07-14 07:58:47 EDT
It's been a long while since I last saw this traceback. I highly doubt
this bug still exists in FC2 final (I certainly haven't seen it since
the FC2 release).

Michael, if you're still seeing this bug, let us know. Otherwise, it
should be closed.

Note You need to log in before you can comment on or make changes to this bug.